# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

from ._component_builders import llama3, lora_llama3

from ._model_builders import (  # noqa
    llama3_70b,
    llama3_8b,
    llama3_tokenizer,
    lora_llama3_70b,
    lora_llama3_8b,
    qlora_llama3_70b,
    qlora_llama3_8b,
)

from ._model_utils import scale_hidden_dim_for_mlp
from ._tokenizer import Llama3Tokenizer

__all__ = [
    "Llama3Tokenizer",
    "llama3",
    "llama3_8b",
    "llama3_70b",
    "llama3_tokenizer",
    "lora_llama3",
    "lora_llama3_8b",
    "lora_llama3_70b",
    "qlora_llama3_8b",
    "qlora_llama3_70b",
]
